List reposters of a post
const url = 'https://api.fxtwitter.com/2/status/20/reposts?count=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.fxtwitter.com/2/status/20/reposts?count=20'Returns users who reposted the given status. Use cursor.bottom from the prior response to fetch the next page.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Example
20Tweet/post snowflake ID (numeric string)
Query Parameters
Section titled “Query Parameters ”Page size (default 20)
Pagination cursor from prior response
Responses
Section titled “ Responses ”User list page
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Invalid path or query parameters
object
Example
{ "code": 400}Timeline unavailable or empty
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Upstream or processing error
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}